/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/07/20 14:19:13
 */

import 'es.shim'
import { $, bind } from 'wkit'

async function test1() {
  try {
    var result = window.webkit.messageHandlers.app.postMessage({
      value: 'Test 1'
    })
    $('#output').innerHTML = 'output: ' + result
  } catch (err) {
    alert(err)
  }
}
async function test2() {
  let key = 'cb_' + Math.random().toString().slice(2)

  native.$on(key, function (v) {
    $('#output').innerHTML = v
  })
  await window.webkit.messageHandlers.app.postMessage({
    value: new Date(),
    key
  })
}

bind($('.btn1'), 'click', test1)
bind($('.btn2'), 'click', test2)
